File python-matplotlib.changes of Package python-matplotlib

-------------------------------------------------------------------
Thu Nov 19 17:03:18 UTC 2015 - egeorget@openmailbox.org

- Enabled qt5 on Leap 42.1
- Enabled wx on Leap 42.1

-------------------------------------------------------------------
Wed Jul  1 12:26:33 UTC 2015 - toddrme2178@gmail.com

- Disable qt5 on SLE 12
- Disable wx on SLE 11 and 12
- Disable latex and gtk3 on SLE 11
- Don't require texlive-sfmath on SLE 12
- Disable qt5 on ppc and arm
- Depend on libxml2 instead of libxml2-tools

-------------------------------------------------------------------
Thu May 21 15:01:06 UTC 2015 - toddrme2178@gmail.com

- Fix installed files

-------------------------------------------------------------------
Mon Mar  2 15:41:02 UTC 2015 - toddrme2178@gmail.com

 - specfile:
   * update url
   * update source url to point to pypi

- update to version 1.4.3:
  *  Many bugs are fixed including:
    - fixing drawing of edge-only markers in AGG
    - fix run-away memory usage when using %inline or saving with a
      tight bounding box with QuadMesh artists
    - improvements to wx and tk gui backends
  * Additionally the webagg and nbagg backends were brought closer to
    feature parity with the desktop backends with the addition of
    keyboard and scroll events thanks to Steven Silvester.

-------------------------------------------------------------------
Mon Oct 27 12:29:14 UTC 2014 - toddrme2178@gmail.com

- Update to 1.4.2.  This is a bug-fix release for the 1.4 series.
  - corrected boxplot in pyplot.py
  - added extra paths to default search paths for freetype

-------------------------------------------------------------------
Mon Oct 20 10:46:01 UTC 2014 - toddrme2178@gmail.com

- Update to 1.4.1.  This is a bug-fix release for the 1.4 series.
  - reverts the changes to interactive plotting so ion will work as
    before in all cases fixed boxplot regressions
  - fixes for finding freetype and libpng
  - sundry unicode fixes (looking up user folders, importing
    seaborn/pandas/networkx with macosx backend)
  - nbagg works with python 3 + new font awesome
  - fixed saving dialogue in QT5

-------------------------------------------------------------------
Thu Sep 18 15:21:01 UTC 2014 - toddrme2178@gmail.com

- Create subpackage to pull in latex dependencies so they are more
  visible to users.
- Comment out testing BuildRequires since we aren't doing testing.
  We aren't doing testing because it takes a long time and a lot
  of packages depend on matplotlib, so it slows down the build
  process for python packages too much.

-------------------------------------------------------------------
Wed Sep 17 15:23:25 UTC 2014 - jmatejek@suse.com

- downgrade Recommends for texlive (and other big packages) to Suggests
  (this means texlive is not pulled in by default zypper settings)

-------------------------------------------------------------------
Wed Sep 10 10:52:26 UTC 2014 - toddrme2178@gmail.com

- Dependency and spec file cleanups
- Remove unneeded use-setuptools.diff

-------------------------------------------------------------------
Thu Aug 28 14:10:38 UTC 2014 - dmueller@suse.com

- adjust python-tz buildrequires to match runtime requires (python-pytz) 

-------------------------------------------------------------------
Wed Aug 27 10:08:07 UTC 2014 - toddrme2178@gmail.com

- Add new python-cairocffi dependency.  This is the recommended
  dependency for the cairo backend upstream.
- Split out the cairo backend into its own subpackage.  It is no
  longer tied to gtk, so people can use it on its own without
  pulling in any gtk dependencies.
- Fixed issues with qt.  The qt5 backend is actually a generic
  qt backend, which the qt4 backend depends on.  So it needs to be
  available for the qt4 backend to work at all.  However, we need
  to pull in the python-qt5 package to make it work, and that 
  package is only available for openSUSE > 13.1.  So we need to
  split the generic qt stuff, including the qt5 stuff, into a
  package both the qt4 and qt5 backends can depend on, and then
  create a stub qt5 package that just pulls in python-qt5
- Reorganized some other backend packages based on backend changes

-------------------------------------------------------------------
Tue Aug 26 12:26:40 UTC 2014 - toddrme2178@gmail.com

- Update to 1.4.0
  * New colormap for red-green color blind users
  * Documentation changes
    - Phil Elson rewrote of the documentation and userguide for both 
        Legend and PathEffects.
  * New plotting features
    - Power-law normalization
    - Fully customizable boxplots
    - Support for datetime axes in 2d plots
    - Support for additional spectrum types
    - Support for detrending and windowing 2D arrays in mlab
    - Support for strides in mlab
    - Formatter for new-style formatting strings
    - Consistent grid sizes in streamplots
    - Get a list of all tick labels (major and minor)
    - Separate horizontal/vertical axes padding support in ImageGrid
    - Support for skewed transformations
    - Support for specifying properties of wedge and text in pie 
      charts.
    - Fixed the direction of errorbar upper/lower limits
    - More consistent add-object API for Axes
    - Violin Plots
    - More `markevery` options to show only a subset of markers
    - Added size related functions to specialized `Collections`
    - Fixed the mouse coordinates giving the wrong theta value in 
      Polar graph
    - Simple quiver plot for mplot3d toolkit
    - polar-plot r-tick locations
  * Date handling
    - n-d array support for date conversion
  * Configuration (rcParams)
    - 'savefig.transparent' added
    - 'axes.titleweight'
    - 'axes.formatter.useoffset' added
  * XDG compliance
    - Matplotlib now looks for configuration files (both rcparams and 
      style) in XDG compliant locations.
  * 'style' package added
    -  You can now easily switch between different styles using the 
       new 'style' package
  * Backends
    - Qt5 backend added
    - Qt4 backend
      + Rudolf Höfler changed the appearance of the subplottool.
      + In the figure options dialog one can now choose to 
        (re-)generate a simple automatic legend.
      + Interactive performance of the Qt4 backend has been 
        dramatically improved under windows.
      + The mapping of key-signals from Qt to values matplotlib 
        understands was greatly improved (For both Qt4 and Qt5).
    - Cairo backends
      +  The Cairo backends are now able to use the cairocffi 
        bindings, which are more actively maintained than the pycairo
        bindings.
    - Gtk3Agg backend
      +  The Gtk3Agg backend now works on Python 3.x, if the cairocffi 
        bindings are installed.
    - PDF backend
      +  Added context manager for saving to multi-page PDFs.
  * Text
    - Text URLs supported by SVG backend
    - Anchored sizebar font
  * Sphinx extensions
    -  The context directive in the plot_directive Sphinx extension 
        can now accept an optional reset setting, which will cause the 
        context  to be reset.
  * Widgets
    - Span Selector
      * Added an option span_stays to SpanSelector which makes the 
        selector rectangle stay on the axes after you release the 
        mouse.
  * GAE integration
    -  Matplotlib will now run on google app engine.
- Added python-qt5 backend on openSUSE > 13.1
- Spec file cleanups

-------------------------------------------------------------------
Wed Jul 16 14:42:54 UTC 2014 - toddrme2178@gmail.com

- Set dummy XDG_RUNTIME_DIR to fix building on openSUSE:Factory

-------------------------------------------------------------------
Thu Apr 10 16:48:36 UTC 2014 - dmueller@suse.com

- install LICENSE directory and fix license tag 

-------------------------------------------------------------------
Wed Apr  9 09:18:56 UTC 2014 - dmueller@suse.com

- add use-setuptools.diff: build against old setuptools as well 

-------------------------------------------------------------------
Fri Mar 28 15:48:46 UTC 2014 - speilicke@suse.com

- Package doc/users/license.rst

-------------------------------------------------------------------
Mon Mar 17 17:47:12 UTC 2014 - i@marguerite.su

- fix bnc#863451
- added windowing.* to python-matplotlib-tk
- It's windowing instead of Windows, a module required by tk backend

-------------------------------------------------------------------
Sat Mar  8 18:01:21 UTC 2014 - bwiedemann@suse.com

- Recommend python-matplotlib-tk because it is the default config

-------------------------------------------------------------------
Thu Jan  9 12:46:20 UTC 2014 - dmueller@suse.com

- remove qt4/designer subpackages for SLE11, as those can
  not be installed without additional updates on a SLES+SDK system

-------------------------------------------------------------------
Thu Nov 14 14:52:44 UTC 2013 - toddrme2178@gmail.com

- Enable all backends
- Split most backends into separate packages
- Update dependencies
- Add many optional dependencies
- Make %setup.py quiet

-------------------------------------------------------------------
Thu Oct 24 12:47:42 UTC 2013 - speilicke@suse.com

- Update to version 1.3.1:
  + Many changes

-------------------------------------------------------------------
Thu Aug 29 14:37:16 UTC 2013 - jmatejek@suse.com

- add Requires: python-pyparsing
  (the pyparsing module is required for mathtext rendering)

-------------------------------------------------------------------
Wed Aug 21 05:25:57 UTC 2013 - highwaystar.ru@gmail.com

- update to 1.3.0
- New features:
 * xkcd-style sketch plotting
 * New eventplot plot type
 * Triangular grid interpolation
 * Baselines for stackplot
 * Rectangular colorbar extensions
 * Calling subplot() without arguments
- Drawing:
 * Independent alpha values for face and edge colors
 * Path effects on lines
 * Easier creation of colormap and normalizer for levels with colors
 * Full control of the background color
 * Improved bbox_inches="tight" functionality
 * Initialize a rotated rectangle
- Text:
 * Anchored text support
 * Better vertical text alignment and multi-line text
 * Left and right side axes titles
 * Improved manual contour plot label positioning
- Configuration (rcParams) 
 * Quickly find rcParams
 * Changes to font rcParams
- Backends
 * WebAgg backend
 * Remember save directory 
- Documentation and examples:
 * Numpydoc docstrings
 * Example reorganization
 * Examples now use subplots()
- Infrastructure
 * Housecleaning
 * New setup script
 * XDG base directory support
 * Catch opening too many figures using pyplot
- for API changes see 
  http://matplotlib.org/api/api_changes.html#changes-in-1-3   
- removed patches needed for python3 package

-------------------------------------------------------------------
Mon Nov 12 04:24:19 UTC 2012 - highwaystar.ru@gmail.com

- update to 1.2.0
 * Python 3.x support
 * PGF/TikZ backend
 * Locator interface
 * Tri-Surface Plots
 * Control the lengths of colorbar extensions
 * Figures are picklable
 * Set default bounding box in matplotlibrc
 * New Boxplot Functionality
 * New RC parameter functionality
 * Streamplot
 * New hist functionality
 * Updated shipped dependencies
 * Face-centred colors in tripcolor plots
 * Hatching patterns in filled contour plots, with legends 
- python3 package added

-------------------------------------------------------------------
Tue Aug 21 02:47:37 UTC 2012 - highwaystar.ru@gmail.com

- bugfix upstream release 1.1.1

-------------------------------------------------------------------
Thu Apr 26 12:03:33 UTC 2012 - toddrme2178@gmail.com

- Remove configobj buildrequires, all configobj files should have
  been removed from matplotlib years ago

-------------------------------------------------------------------
Tue Mar 20 10:08:51 UTC 2012 - toddrme2178@gmail.com

- Fix Qt Designer plugin directories

-------------------------------------------------------------------
Fri Mar 16 15:13:32 UTC 2012 - toddrme2178@gmail.com

- Cleaned up spec file formatting
- Removed tests for obsolete openSUSE versions
- Added Qt Designer plugin from Python(x,y) project

-------------------------------------------------------------------
Tue Jan 10 11:38:24 CET 2012 - kukuk@suse.de

- Fix spec file for SLE11 (Group entries did go lost)

-------------------------------------------------------------------
Wed Dec 14 08:56:13 UTC 2011 - highwaystar.ru@gmail.com

- update to 1.1.0
 * module for drawing sankey diagrams;
 * environment for creating animated graphics – module animation;
 * automated positioning charts, labels, and axes on the canvas – a 
   team tight_layout () will distribute them so that they are not 
   people came to each other;
 *  Work on integration with PySide, although functional is still 
    in the beta-version and it is recommended to continue using 
    PyQt4;
 * improved mapping and positioning of the legend;
 * simplified work with three-dimensional graphs (module mplot3d), 
   also significantly expanded and updated documentation on mplot3d;
 * uniform markers;
 * completely removed the old module support Numerix, now all 
   users must use Numpy;
 * fixes some bugs.
- removed patches that now upstream

-------------------------------------------------------------------
Thu Dec  8 13:54:40 UTC 2011 - coolo@suse.com

- fix license to be in spdx.org format

-------------------------------------------------------------------
Tue Oct 11 12:27:54 UTC 2011 - jmatejek@suse.com

- fix build failing because Tkinter has a faulty __version__

-------------------------------------------------------------------
Mon Aug 15 02:00:37 CEST 2011 - ro@suse.de

- fix build for platform == linux3 

-------------------------------------------------------------------
Mon Jan 24 12:58:1 UTC 2011 - toddrme2178@gmail.com

- new version 1.0.1

  This is a bugfix release:
  + Fixed error with Hammer projection. 
  + Fixed the placement and angle of axis labels in 3D plots. 
  + New rc parameters examples.download and examples.directory
    allow bypassing the download mechanism in get_sample_data.
  + Change Axis.set_view_interval() so that when updating an
    existing interval, it respects the orientation of that
    interval, and can enlarge but not reduce the interval.
  + Handle NaN's correctly in path analysis routines.  
  + Fix bug in patch alpha handling, and in bar color kwarg
  + Return Qt4's default cursor when leaving the canvas

- cleanup specfile

-------------------------------------------------------------------
Wed Dec 29 15:03:06 CET 2010 - sbrabec@suse.cz

- Compile with wxWidgets (STL variant).

-------------------------------------------------------------------
Sat Dec 11 21:51:21 UTC 2010 - coolo@novell.com

- remove buildrequire on libstdc++

-------------------------------------------------------------------
Sat Jul 17 00:00:00 UTC 2010 - werner.ho@gmx.de

- new version 1.0.0

-------------------------------------------------------------------
Sat Oct 10 00:00:00 UTC 2009 - werner.ho@gmx.de

- new version 0.99.1.1
- config file added (seen at home:ocefpaf project)

-------------------------------------------------------------------
Fri Dec 19 21:40:55 CET 2008 - lars@linux-schulserver.de

- Update to 0.98.5.2
  + Fix bug where a line with NULL data limits prevents
    subsequent data limits from calculating correctly
  + Major documentation generator changes
  + Fixed dpi-dependent behavior of Legend and fancybox in Text
  + Fix \$ in non-math text with usetex off
  + Fix anti-aliasing when auto-snapping
  + Fix grid lines not moving correctly during pan and zoom
  + Fixed warning in hist() with numpy 1.2
  + Removed the prints in the set_*style commands.  Return the
    list of pprinted strings instead
- 10.2 is gone: remove specific fixes for this distribution

-------------------------------------------------------------------
Mon Nov 24 00:00:00 UTC 2008 - werner.ho@gmx.de

- replaced scipy by numpy as build requirement

-------------------------------------------------------------------
Wed Aug 20 00:00:00 UTC 2008 - werner.ho@gmx.de

- removed python-scipy from the requirements list
- added python-dateutil to the requirements list
- added python-pytz to the requirements list

-------------------------------------------------------------------
Sat Aug  9 00:00:00 UTC 2008 - werner.ho@gmx.de

- new major version 0.98.3

-------------------------------------------------------------------
Tue Aug  5 00:00:00 UTC 2008 - werner.ho@gmx.de

- new version 0.91.4
 
-------------------------------------------------------------------
Wed Jul 16 00:00:00 CET 2008 - Andrea Florio <andrea@opensuse.org>

- fixed spec file adding missing buildrequires
- made rpmlint happyer

-------------------------------------------------------------------
Sat Jun 07 00:00:00 CET 2008 - Werner Hoch <werner.ho@gmx.de>

- new version 0.91.3

-------------------------------------------------------------------
Fri Feb 01 00:00:00 CET 2008 - Werner Hoch <werner.ho@gmx.de>

- new version 0.91.2

-------------------------------------------------------------------
Fri Dec 07 00:00:00 CET 2007 - Werner Hoch <werner.ho@gmx.de>

- added configobj as an extra requirement
- thus matplotlib will not provide configobj

-------------------------------------------------------------------
Sun Dec 02 00:00:00 CET 2007 - Werner Hoch <werner.ho@gmx.de>

- new version 0.91.1
- removed build patches, as the build system has been changed

-------------------------------------------------------------------
Sat Sep 08 00:00:00 CET 2007 - Werner Hoch <werner.ho@gmx.de>

- fixed build issus of openSUSE 10.3

-------------------------------------------------------------------
Sun Jun 03 00:00:00 CET 2007 - Werner Hoch <werner.ho@gmx.de>

- new version 0.90.1
- added enable_BUILD_WXAGG.patch

-------------------------------------------------------------------
Thu Mar 22 00:00:00 CET 2007 - Werner Hoch <werner.ho@gmx.de>

- removed X-server patches, use Xvfb instead
- created extra wx and tk packages

-------------------------------------------------------------------
Tue Mar 20 00:00:00 CET 2007 - Werner Hoch <werner.ho@gmx.de>

- default backend is GTKAgg now
- TkAgg backend works now. Patched the X-Server dependancy away when building

-------------------------------------------------------------------
Sun Mar 11 00:00:00 CET 2007 - Werner Hoch <werner.ho@gmx.de>

- improved the BuildRequires list. Tkinter backend has still problems

-------------------------------------------------------------------
Thu Mar 01 00:00:00 CET 2007 - Werner Hoch <werner.ho@gmx.de>

- new version 0.90.0

-------------------------------------------------------------------
Tue Oct 31 00:00:00 CET 2006 - Werner Hoch <werner.ho@gmx.de>

- new version 0.87.7

-------------------------------------------------------------------
Thu Sep 28 00:00:00 CET 2006 - Werner Hoch <werner.ho@gmx.de>

- Initial build.